Repositorios Medibuntu listos para Gutsy Gibbon [ve tus videos 3GP con ¡¡¡sonido!!!]

+1
0
-1

[Actualización]

Al parecer los codecs que se encuentran en los repositorios de Medibuntu hacen muy bien su trabajo, pero la recibir actualizaciones de Ubuntu volví a perder la "capacidad" de oir videos 3GP con sonido, sigo buscando la manera de poder solucionar esto. 


 

Debo reconocer que, a pesar de todas las novedades de Gutsy, tuve el problema en la reproducción de videos en formato .3GP, que como todos sabemos, son los videos tomados con dispositivos moviles, celulares vamos, ya que el video se reproducia sin problema, pero no se escuchaba el audio.

Este "detalle" nunca lo tuve con Feisty, así que me pregunté, ¿Qué puede estar faltanto?, me puse a investigar y encontré que debería tener el codec para el formato .AMR si queria audio, pero no pude instalarlo, a pesar que encontré solo unos cuantos .RPM's y un tar.gz, pero no funcionó, así que revisé el sources.list que usaba en Feisty pensando que ahí podría estar la respuesta, y así fué, los repositorios Medibuntu!!!.

En estos repositorios se encuentra una gran cantidad de codecs tanto de audio como de video, además de paquetes para Acrobat Reader, Google Earth, el explorador web Opera, codecs restringidos de video ( w32 para i386, w64 para AMD 64 y ppc-codecs para PowerPC), Realplayer y Skype, y después de instalarlos y probar "mis nuevos codecs", ya pude reproducir sin problema los archivos 3GP y cualquiera que tuviera, EXCELENTE...

Los repositorios de Medibuntu para Gutsy se instalan de la siguiente manera:

1.-Abrimos el sources.list con el editor gedit

sudo gedit /etc/apt/sources.list 

2.- Agregramos los repositorios de Medibuntu para Gutsy:

## Medibuntu - Ubuntu 7.10 "gutsy gibbon"
## Please report any bug on https://bugs.launchpad.net/medibuntu/
deb http://packages.medibuntu.org/ gutsy free non-free
#deb-src http://packages.medibuntu.org/ gutsy free non-free

3.- Descargamos la "llave" del repositorio, la añadimos al sistema y actualizamos la lista de repositorios:

wget -q http://packages.medibuntu.org/medibuntu-key.gpg -O- | sudo apt-key add - && sudo apt-get update

4.- Obtenemos las nuevas actualizaciones de este repositorio y listo, cualquier archivo de audio y video se reproducirá sin problemas ( Bueno, yo no tengo problema en la reproducción, es cuestión de probar y localizar errores ).

Espero que les haya servido...

Comentarios

Imagen de danielGT

Hola.

Una pregunta,  no se si tenga que ver. Una vez actualizado a Gutsy, vale simplemente cambiar "feisty" por "gutsy" en los repositorios que ya tengo?

Imagen de catrip

No se te vaya a ocurrir hacer eso, ya que los repositorios de terceros para Gutsy están en plena construcción, tanto es así, que a estas alturas es dificil encontrarlos.

Si llegas a cambiar "feisty" por "gutsy", solo vas a tener errores, mejor espera un poco a que aparezcan, los repositorios de Medibuntu los encontré por casualidad, mientras buscaba la forma de reproducir videos 3GP con audio, y me topé con estos repositorios ya listos para Gutsy.

De igual forma, NO ES RECOMENDABLE cambiar los repositorios de feisty por los de gutsy para intentar actualizar, la propia Canonical establece que la mejor forma es por medio del Gestor de Actualizaciones y no CAMBIAR LOS REPOSITORIOS DE FEISTY POR LOS DE GUTSY... 

® Sé libre, sé tu mismo, usa Ubuntu

Imagen de Cristobal López

Además desde esos repositorios encontrarán la versión 8.1 de Adobe Reader junto con su plugin para firefox.

Saludos 

MiBlog

Imagen de miiky

Hola, amigo, tengo una duda muy grande y quizas tu me la puedas resolver; Resulta que yo tenía El Ubuntu 7.4 y todo perfecto, ayer actualicé a a version 7.10, todo igual de maravilla hasta hoy en la mañana; ejecutando un gestor de actualizaciones me salió un cuadro de dialogo que decía que era obsoleto el Automatix 2 y otros programas, sin fijarme bien, le di que "si" al boton para desinstalar todo lo "obsoleto", el caso es que ahora no puedo reproducir ningun MP3, MPEG, FLV, AVI, nada de multimedia, en ninun programa (TOTEM, VLC, WINAMP, BEEP, XMMS) no se que hacer, ya reinstalé todos los códecs (o al menos eso creo), y reinstalé todos los programas multimedia y nada, el VLC reproduce los FLV pero solo durante 5 segundos y sin audio, despues de eso se traba. Espero que me puedas ayudar, te agradezco de antemano  supersmashmike45@hotmail.com

Imagen de catrip

Por lo mientras te puedo decir que esperes un poco, estoy trabajando en la creación de una lista de repositorios muy amplia para Gutsy, una vez que la tenga, la voy a publicar en mi bitacora, y puedes agragarla a tu sistema, ya la he probado y me funciona muy bien, solo espera un poco... 

® Sé libre, sé tu mismo, usa Ubuntu

Imagen de leitoo

Es normal que se vea en blanco y negro es que ahora si se escucha pero se ve con ese efecto la imagen

Los problemas surgen, se consideran y se resuelven

Imagen de ulmo

muchas gracias, en verdad funciona...

 

Ubuntu User # 10803

Ubuntu User # 10803

Imagen de wibort

 

hola catrip 

te comento que instale el medibuntu y se soluciono el preblema para los .avi y .mov, pero no me reproduce formatos en . mpeg y mpg, el totem me aconseja instalar un paquete de codecs gstreamer... pero al instalarlos me surge un error de referencia con dos librerias, paso a buscar las librerias de las cuales solo encuentro una disponible en el synaptic y tampoco se deja instalar.

Cabe notar que soy nuevo en el mundo linux por lo tanto no se si uso los nombres adecuados.

Ahora un amigo que usa hace rato linux me comento que eso lo solucionaba facil con el automatix, intente por todos los medios instalarlo segun las instrucciones que me dieron en una pagina pero nada este me genera conflictos con una libreria llamada tango..... la cual no se deja instalar por el synaptic.

Por favor necesito luces para saber que estoy haciendo mal y como corregirlo

Saludos y gracias de antemano. 

by wibort

UIS Colombia

Imagen de catrip

Como dice la pregunta, has probado los w32codecs?? que son los codecs necesarios y propietarios para la reproducción de algunos videos.

Los instalas con un simple:

sudo apt-get install w32codecs 

También te recomiendo que te instales el paquete de Ubuntu restricted extras que contiene Java, Flash, descompresor RAR, gstreamer, mas codecs y fuentes extras:

sudo apt-get install ubuntu-restricted-extras 

Y también hay que recordar los paquetes "básicos" para una instalación posterior a la actualización de Feisty a Gutsy o de la instalación "limpia" de Gutsy:

sudo apt-get install gstreamer0.10-ffmpeg gstreamer0.10-plugins-bad gstreamer0.10-plugins-bad-multiverse gstreamer0.10-plugins-ugly gstreamer0.10-plugins-ugly-multiverse mplayer-nogui flashplugin-nonfree sun-java6-plugin compizconfig-settings-manager amule rar unrar startupmanager nautilus-open-terminal build-essential

Espero que con esto se hayan solucionado tus problemas....

® Sé libre, sé tu mismo, usa Ubuntu

Imagen de wibort

hola catrip, primero que todo agradecerte por ayudarme en esto, se nota lo novato que soy jaja, y pues te comento respecto a tus consejos mi ra lo que sucedio:

<pre>will@will-laptop:~$ sudo apt-get install w32codecs
[sudo] password for will:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.

Como sólo solicito una única operación, es extremadamente posible que el
paquete simplemente no sea instalable y debería de rellenar un informe de
error contra ese paquete.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
w32codecs: Depende: libstdc++5 (>= 1:3.3.4-1) pero no es instalable
E: Paquetes rotos </pre>

 

Entonces busque la libreria libstdc++5 para intalarla pero mira el error que surgio:

 

<pre> will@will-laptop:~$ sudo apt-get install libstdc++5
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
El paquete libstdc++5 no está disponible, pero algún otro paquete hace referencia
a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
encuentra disponible desde alguna otra fuente
E: El paquete libstdc++5 no tiene candidato para su instalación</pre>

y del ultimo paqute que me aconsejaste mira:

 <pre>will@will-laptop:~$ sudo apt-get install ubuntu-restricted-extras
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
E: No se pudo encontrar el paquete ubuntu-restricted-extras</pre>

te agradezco nuevamente si me puedes ayudar, ahh y respecto a los paquetes basicos de instalacion hay unos que ya estan instalados y otros que no se dejan instalar por problemas iguales al primero. 

 

by wibort

UIS Colombia

by wibort

UIS Colombia

Imagen de catrip

No te preocupes, no eres el único que tiene ese tipo de problemas, realmente la solución es muy simple, Ubuntu "sabe" que los paquetes existen, pero no sabe de donde descargarlos, esto es mas o menos la descripción de un paquete roto.

Te recomiendo que leas este post que deje para otro usuario que tenía el mismo problema que tu con los paquetes rotos, aquí el link

Clic aqui para leer el post del usuario jjr con un problema de paquetes rotos.

Clic aqui para la solución expuesta por mi.

Espero que con esto puedas solucionar el problema, si no, no dudes en seguir posteando, y con gusto te ayudo en todo lo que pueda. 

® Sé libre, sé tu mismo, usa Ubuntu

Imagen de wibort

Compadre, muchas gracia todo salio bien eres un crack en verdad, solo me queda una pequeña duda, como ya habia intentado instalar el automatix2 y en la actualizacion no se pudo hacer pues hubo error mas adelante me podria provocar un error si se llegase a descargar correctamente ?

gracias nuevamente

salu2 

 

by wibort

UIS Colombia

by wibort

UIS Colombia

Imagen de wibort

Compañero eres un crack jeje porfin lo logre muchas gracias por tu aporte, solo me queda una duda como ya habia intentado instalar el automatix2 pero en esta descarga de actualizacion tampoco funciono quisiera saber si a futuro este me puede generar algun conflicto si se llegara a descargar??

de nuevo muchas gracias

salu2 

by wibort

UIS Colombia

by wibort

UIS Colombia

Imagen de catrip

Para eso estamos los usuarios de Ubuntu y la comunidad en general, para ayudarnos y apoyarnos, ten la seguridad que cuando tengas problemas, dudas o comentarios, te apoyo en todo lo que pueda, pero la verdad es que crack, jajajaja, todavia no, conozco del mundo Linux pero todavia me falta muchisimo, te agradezco tu comentario.

Ahora, vamos a lo que nos interesa, Automatix2, no vas a tener problemas, porque ahora si, Ubuntu reconoce y sabe de donde descargar los paquetes que necesita, aunque personalmente veo Automatix2 muy limitado.

Intenta instalarlo de nuevo, pero sigue los pasos que te recomiendan en el sitio oficial de Automatix via repositorios, porque así aseguras que puedas instalar todos los paquetes que necesites.

Y bien, te recomiendo que testes un poco Automatix2, pero también te recomiendo este sitio para que puedas descargar aplicaciones para Gutsy, te ofrecen el paquete, una imágen demostrativa y una breve explicación acerca del programa en cuestión

                                         www.getdeb.net

 Para finalizar, no te preocupes, te apoyo en cualquer duda que te surja acerca de Ubuntu, siempre que esté en mis posibilidades...

® Sé libre, sé tu mismo, usa Ubuntu

Imagen de gordolaya

Hola creo haber seguido al pie de la letra tus indicaciones pero no solo no he obtenido el sonido en el formatp 3gp sino que ademas ahora no puedo cerrar totem, la unica forma de salir de él es matando el proceso desde el monitor del sistema.

¿que puede haber fallado? en los pasos indicados no me ha generado ningun mensaje de error.

No obstante gracias. 

Saludos a todos.

P.D. utilizo la v7.10

Saludos a todos.

Imagen de catrip

Mira godolaya, no estás instalando ninguna aplicación, solo estás agregando unos repositorios, necesitas descargar, de estos repositorios, los codecs necesarios multimedia, los w32 codecs o w64 codecs para procesadores de 32 y 64 bits respectivamente.

Ahora, el que totem no funcione, no creo para nada, que sea problema de los repositorios, mas bien, algo hiciste mal, alguna desconfiguración, borrar algún archivo, etc...

 Porque no dejas aquí, lo que hiciste antes y después de tener problemas con totem, incluyendo agregar los repositorios de Medibuntu.

® Sé libre, sé tu mismo, usa Ubuntu

Imagen de gordolaya

Gracias Catrip por la rapidez, al final (debe ser mi herencia de windows) reinstale la aplicacion y se soluciono todo, eso si, sigo sin sonido, volvere a seguir tu tutorial (esta vez mirare con lupa) y prometo contestar.

 

.....pero ya tendra que ser el año que viene ;-) 

Saludos a todos.

P.D. utilizo la v7.10

Saludos a todos.

Imagen de gordolaya

Pues nada me funcionaba bien y cuando volvi a ejecutar todo, como antes, no me dio ningun mensaje de error, todo se instalo correctamente, en cuanto a los video en 3gp sigue igual, sin sonido, totem me deja reproducir con sonido el resto de videos pero se vuelve como "mas lento" en sus respuestas", por eso me parecio al principio de que no funcionaba, lo que pasa es para desplegar un menu de totem has de esperar un "ratito".

 De todas maneras como te decia mis videos del movil (3gp) siguen sin sonido.

 

Muchas gracias por tu interes en mi problema.  

Saludos a todos.

P.D. utilizo la v7.10

Saludos a todos.

Imagen de juanjuanve

catrip!!! soy novato en esto me podrias explicar lo del punto 3. como introducir la llave en sistema. desde ya muchas gracias!!!

Imagen de catrip

Lo de la llave es como tu "pase de entrada" a los repositorios Medibuntu.

Imagina que para "entrar" a un almacén necesitas un pase de entrada, bueno, no a todos les permiten entrar, solo si tu llevas dicho pase, lo obtienes y lo muestras cada vez que vayas a entrar, algo parecido es la llave del repositorio.

Lo que hacemos es conseguir la llave, añadirla al sistema y actualizar la lista de programas que podemos descargar, bueno paquetes a descargar.

No necesitas hacer otra cosa que copiar la instrucción en terminal (Menú Aplicaciones --> Accesorios --> Terminal) y solamente esperar, las instrucciones estan escritas para que solo copies, pegues y oprimas Enter y eso es todo.

Espero que te haya servido este ejemplo para entender lo de la llave. 

® Sé libre, sé tu mismo, usa Ubuntu

Imagen de j0rge1uis

Intente de todas las formas buscar los codecs para los amr-nb y no encontre nada, asi q me dio por reproducir con el mplayer y VOILA!! el video 3gp (con capa de audio amr-nb) sonó.
No se si debido a toda la cantidad de procedimientos q lleve a cabo (medibuntu repositorios, compilar amrnb 7.0.0... amrwb....) o si el programa nativamente lo reproduce.
Si alguien puede aclarar el asunto gracias